Producer Regulatory Actions
Regulatory actions information for producers
Get regulatory actions for subscribed NPNs
Returns all regulatory actions records for NPNs you are currently subscribed to.
If no query parameters are provided in the request, then the response will include all
regulatory actions for all currently subscribed NPNs. To maximize effectiveness, we strongly
recommend using at least one parameter to narrow your results.
Query Parameters
comma separated list of National Producer Numbers (NPNs)
Example:123456789, 987654321
comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field
Example:MO, CA, CO
limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field
Example:2024-10-15
specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field
Default:true
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Token for fetching the next page of results
Response
application/hal+json
Response
Success
Show Child Parameters
Show Child Parameters
Get regulatory action values for a specific regulatory action
Returns all regulatory actions value records for ID of a given regulatory action.
Query Parameters
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Path Parameters
Unique regulatory actions ID
Response
application/hal+json
Response
Success
Show Child Parameters
Get regulatory actions for a specific NPN
Returns all regulatory actions associated with a specific NPN. If you’re not already subscribed, this request will automatically subscribe you to the NPN.
Query Parameters
comma separated list of states abbreviations (must be 2 characters) - this will filter on the forState field
Example:MO, CA, CO
limits results to those that have an updated date equivalent to or after to the date provided (YYYY-MM-DD) - this will filter on the updatedAt field
Example:2024-10-15
specifiy whether or not deleted records should be included in the response - this will filter on the niprDeleted field
Default:true
the number of objects on the page (min = 1 / max = 1,000)
Default:250
>= 1<= 1000
Token for fetching the next page of results
Path Parameters
National Producer Number (npn) of the data to return
Example:123456789
Response
application/hal+json
Response
Success
Show Child Parameters
Show Child Parameters
Get regulatory actions by ID
Retrieves a single regulatory actions record using its unique regulatory actions ID.
Path Parameters
Unique regulatory actions ID
Response
application/hal+json
Response
Success
RegulatoryActionsV1
Common regulatory actions fields shared across versions.
Unique identifier for the regulatory actions.
Example:1234567
National Producer Number associated with the regulatory actions.
Example:18551108
Example:ae51f10b-8b5e-40ba-98a9-8f860392b344
State where the regulatory action applies.
>= 2 characters<= 2 characters
Example:AL
Identification of the regulatory action.
Example:13537078
The date the regulatory action occurred.
Example:2017-07-10
The date the regulatory action is effective
Example:2017-07-10
The date the regulatory action was entered in the jurisdiction system.
Example:2018-02-08
File reference identifier for the regulatory action, as reported by the jurisdiction. Format varies by
state.
Example:123
Date of the creation of this record in AgentSync.
Example:2021-04-04
Date of the most recent update to this record in AgentSync.
Example:2024-12-02
Amount in USD of fine, if applicable.
Example:150
The sanction period.
Example:30
All regulatory actions should have three associated child objects - disposition, origin, and reason
Show Child Parameters
Indicates if the regulatory actions was marked deleted by NIPR.